Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreFdkConfiguration

    java.lang.Object
      oracle.ifs.fdk.FdkConfiguration
          oracle.ifs.fdk.impl.FdkConfigurationImpl
              oracle.ifs.fdk.core.CoreFdkConfiguration

    public class CoreFdkConfiguration

extends FdkConfigurationImpl

ECM-specific version of FdkConfigurationImpl.

Constructor Summary
`CoreFdkConfiguration()` Constructor for node mode.
`CoreFdkConfiguration(java.lang.String serviceName, SystemUserCredential sysCred)` Constructor for standalone mode.

Method Summary
`protected AttributeHandlerRegistry` | `constructAttributeHandlerRegistry()` Construct and save the AttributeHandlerRegistry in effect for this instance.
`protected ItemTypeRegistry` | `constructItemTypeRegistry()` Construct and save the ItemTypeRegistry in effect for this instance.
`ManagersFactory` | `constructManagersFactory(FdkSession session)` Construct a ManagersFactory for a quest or system session.
`Credential` | `createCredentialByGuid(java.lang.String userGuid, java.lang.String realmGuid)` Create a credential for a given user and realm GUID pair.
`Credential` | `createCredentialByPrincipal(java.security.Principal principal)` Create a credential for a given user principal
`Credential` | `createCredentialByUsername(java.lang.String username)` Create a credential for a given username.
`FdkSession` | `login(FdkCredential cred)` Login and create an FdkSession context.

Methods inherited from class oracle.ifs.fdk.impl.FdkConfigurationImpl
`createLibrarySession, dispose, getAttributeHandlerRegistry, getGuestSessionPoolMaximumSize, getGuestSessionPoolTargetSize, getImplInstance, getItemTypeRegistry, getMaximumConcurrentRequestsPerUser, getMaximumSessionsPerUser, getSystemSessionPoolMaximumSize, getSystemSessionPoolTargetSize, getTransactionTimeout, getTransactionTimeoutCheckInterval, initialize, initializeStandalone, isAutoUserProvisioningEnabled, isWebServiceSecureCleartextAuthenticationRequired, lookupItemType`

Methods inherited from class oracle.ifs.fdk.FdkConfiguration
`getBpelWorklistUrl, getDavNullResourceLockExpirationPeriod, getDavUserAgents, getFileExtensionsOmittedFromVirusScan, getInstance, getLastAntiVirusDefinitionUpdate, getProductVersion, initializeStandaloneMode, isDavCopyMoveThroughFolderLinkAllowed, isIdmEnabled, isInitialized, isVirusScannerEnabled, isWorkflowEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreFdkConfiguration

    public CoreFdkConfiguration()

  Constructor for node mode.

### CoreFdkConfiguration

    public CoreFdkConfiguration(java.lang.String serviceName,
                                SystemUserCredential sysCred)

  Constructor for standalone mode.

Method Detail

### constructItemTypeRegistry

    protected ItemTypeRegistry constructItemTypeRegistry()

  Description copied from class: `FdkConfigurationImpl`
  Construct and save the ItemTypeRegistry in effect for this instance.

  Specified by:
    `constructItemTypeRegistry` in class `FdkConfigurationImpl`
  Returns:
    the ItemTypeRegistry

### constructAttributeHandlerRegistry

    protected AttributeHandlerRegistry constructAttributeHandlerRegistry()

  Description copied from class: `FdkConfigurationImpl`
  Construct and save the AttributeHandlerRegistry in effect for this instance.

  Specified by:
    `constructAttributeHandlerRegistry` in class `FdkConfigurationImpl`
  Returns:
    the AttributeHandlerRegistry

### login

    public FdkSession login(FdkCredential cred)
                     throws FdkException

  Description copied from class: `CoreFdkConfiguration`
  Login and create an FdkSession context.

  Specified by:
    `login` in class `FdkConfiguration`
  Parameters:
    `cred` - the FdkCredential
  Returns:
    the new FdkSession context
  Throws:
    `FdkException` - if operation fails

### constructManagersFactory

    public ManagersFactory constructManagersFactory(FdkSession session)
                                             throws FdkException

  Description copied from class: `CoreFdkConfiguration`
  Construct a ManagersFactory for a quest or system session.

  Specified by:
    `constructManagersFactory` in class `FdkConfiguration`
  Parameters:
    `session` - the session
  Returns:
    the ManagersFactory that uses this session
  Throws:
    `FdkException` - if operation fails

### createCredentialByUsername

    public Credential createCredentialByUsername(java.lang.String username)
                                          throws IfsException

  Description copied from class: `CoreFdkConfiguration`
  Create a credential for a given username.

  NOTE: This method is dangerous to call as it does not verify the credentials of the user in any way. It assumes that the caller verified the user in a different way, for example via JAAS.

  Specified by:
    `createCredentialByUsername` in class `FdkConfigurationImpl`
  Throws:
    `IfsException`

### createCredentialByGuid

    public Credential createCredentialByGuid(java.lang.String userGuid,
                                             java.lang.String realmGuid)
                                      throws IfsException

  Description copied from class: `CoreFdkConfiguration`
  Create a credential for a given user and realm GUID pair.

  NOTE: This method is dangerous to call as it does not verify the credentials of the user in any way. It assumes that the caller verified the user in a different way, for example via JAAS.

  Specified by:
    `createCredentialByGuid` in class `FdkConfigurationImpl`
  Throws:
    `IfsException`

### createCredentialByPrincipal

    public final Credential createCredentialByPrincipal(java.security.Principal principal)
                                                 throws IfsException

  Description copied from class: `CoreFdkConfiguration`
  Create a credential for a given user principal

  NOTE: This method is dangerous to call as it does not verify the credentials of the user in any way. It assumes that the caller verified the user in a different way, for example via JAZN.

  Specified by:
    `createCredentialByPrincipal` in class `FdkConfigurationImpl`
  Parameters:
    `principal` - the user principal
  Returns:
    the Credential for the specified principal
  Throws:
    `IfsException` - if the operation fail

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD